Changeset 1987


Ignore:
Timestamp:
Oct 15, 2013 11:46:35 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/1.15/Clp/configure

    r1983 r1987  
    10981098                          (implies --disable-shared)
    10991099  --enable-debug-clp compile project Clp with debug compiler flags
    1100   --enable-doscompile     Under Cygwin, compile so that executables run under
    1101                           DOS. Set to mingw to use gcc/g++/ld with
    1102                           -mno-cygwin. Set to msvc to use cl/link (or
    1103                           icl/link). Default when mentioned: mingw. Default
    1104                           when not mentioned: disabled.
     1100
     1101  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    11051102  --enable-static[=PKGS]
    11061103                          build static libraries [default=no]
     
    19471944
    19481945# Get the name of the C++ compiler and appropriate compiler options
    1949 case $build in
     1946
     1947
     1948  # for backward compatibility
     1949  # Check whether --enable-doscompile or --disable-doscompile was given.
     1950if test "${enable_doscompile+set}" = set; then
     1951  enableval="$enable_doscompile"
     1952  enable_doscompile=$enableval
     1953else
     1954  enable_doscompile=no
     1955fi;
     1956
     1957  # Check whether --enable-msvc or --disable-msvc was given.
     1958if test "${enable_msvc+set}" = set; then
     1959  enableval="$enable_msvc"
     1960  enable_msvc=$enableval
     1961else
     1962  enable_msvc=no
     1963     if test "$enable_doscompile" = msvc ; then
     1964       enable_msvc=yes
     1965     elif test "$enable_doscompile" != no ; then
     1966       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1967echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1968   { (exit 1); exit 1; }; }
     1969     fi
     1970
     1971fi;
     1972
     1973  if test "$enable_msvc" = yes; then
     1974    case $build in
     1975      *-cygwin* | *-mingw*) ;;
     1976      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1977echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1978   { (exit 1); exit 1; }; } ;;
     1979    esac
     1980  fi
     1981
     1982
     1983 case $build in
    19501984  *-mingw*)
    19511985    if test "${LD+set}" = set; then :; else
     
    19541988    ;;
    19551989 esac
    1956  case $enable_doscompile in
    1957    msvc)
    1958      if test "x${LD+set}" = xset; then :; else
    1959        LD=link
    1960      fi
    1961      ;;
    1962  esac
    1963 
    1964 
    1965  # Check whether --enable-doscompile or --disable-doscompile was given.
    1966 if test "${enable_doscompile+set}" = set; then
    1967   enableval="$enable_doscompile"
    1968   if test "$enable_doscompile" != no; then
    1969      case $build in
    1970        *-cygwin* | *-mingw*) ;;
    1971        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1972 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1973    { (exit 1); exit 1; }; } ;;
    1974      esac
     1990 if test $enable_msvc = yes ; then
     1991   if test "x${LD+set}" = xset; then :; else
     1992     LD=link
    19751993   fi
    1976 else
    1977   enable_doscompile=no
    1978 fi;
    1979  case "$enable_doscompile" in
    1980    mingw)
    1981      case $build in
    1982        *-mingw*) enable_doscompile=no ;;
    1983      esac
    1984      ;;
    1985    msvc|no) ;;
    1986    yes) enable_doscompile=mingw ;;
    1987    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1988                     Try configure --help=recursive." >&5
    1989 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1990                     Try configure --help=recursive." >&2;}
    1991    { (exit 1); exit 1; }; }
    1992       ;;
    1993   esac
    1994   if test "$enable_doscompile" != no ; then
    1995     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1996 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1997   fi
     1994 fi
    19981995
    19991996
     
    20382035case $build in
    20392036  *-cygwin* | *-mingw*)
    2040              if test "$enable_doscompile" = msvc ; then
    2041                comps="icl cl"
     2037             if test "$enable_msvc" = yes ; then
     2038               comps="icl cl gcc"
    20422039             else
    2043                comps="gcc cl"
     2040               comps="gcc icl cl"
    20442041             fi ;;
    20452042  *-*-solaris*)
     
    28942891            ;;
    28952892        esac
    2896         case $enable_doscompile in
    2897           mingw)
    2898             CFLAGS="-mno-cygwin"
    2899             cat >conftest.$ac_ext <<_ACEOF
    2900 /* confdefs.h.  */
    2901 _ACEOF
    2902 cat confdefs.h >>conftest.$ac_ext
    2903 cat >>conftest.$ac_ext <<_ACEOF
    2904 /* end confdefs.h.  */
    2905 
    2906 int
    2907 main ()
    2908 {
    2909 int i=0; i++;
    2910   ;
    2911   return 0;
    2912 }
    2913 _ACEOF
    2914 rm -f conftest.$ac_objext conftest$ac_exeext
    2915 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2916   (eval $ac_link) 2>conftest.er1
    2917   ac_status=$?
    2918   grep -v '^ *+' conftest.er1 >conftest.err
    2919   rm -f conftest.er1
    2920   cat conftest.err >&5
    2921   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2922   (exit $ac_status); } &&
    2923          { ac_try='test -z "$ac_c_werror_flag"
    2924                          || test ! -s conftest.err'
    2925   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2926   (eval $ac_try) 2>&5
    2927   ac_status=$?
    2928   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2929   (exit $ac_status); }; } &&
    2930          { ac_try='test -s conftest$ac_exeext'
    2931   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2932   (eval $ac_try) 2>&5
    2933   ac_status=$?
    2934   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2935   (exit $ac_status); }; }; then
    2936   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2937 else
    2938   echo "$as_me: failed program was:" >&5
    2939 sed 's/^/| /' conftest.$ac_ext >&5
    2940 
    2941 fi
    2942 rm -f conftest.err conftest.$ac_objext \
    2943       conftest$ac_exeext conftest.$ac_ext
    2944             CFLAGS=
    2945           ;;
    2946         esac
    29472893    esac
    29482894  fi
     
    32853231  clang* ) ;;
    32863232  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3287     case $build in
     3233
     3234 case $build in
    32883235  *-mingw*)
    32893236    if test "${LD+set}" = set; then :; else
     
    32923239    ;;
    32933240 esac
    3294  case $enable_doscompile in
    3295    msvc)
    3296      if test "x${LD+set}" = xset; then :; else
    3297        LD=link
    3298      fi
    3299      ;;
    3300  esac
     3241 if test $enable_msvc = yes ; then
     3242   if test "x${LD+set}" = xset; then :; else
     3243     LD=link
     3244   fi
     3245 fi
    33013246
    33023247    ;;
     
    33313276case $build in
    33323277  *-cygwin* | *-mingw*)
    3333              if test "$enable_doscompile" = msvc ; then
    3334                comps="icl cl"
    3335              else
    3336                comps="g++ cl"
    3337              fi ;;
     3278      if test "$enable_msvc" = yes ; then
     3279         comps="icl cl g++"
     3280      else
     3281         comps="g++ icl cl"
     3282      fi ;;
    33383283  *-*-solaris*)
    33393284             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38423787            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    38433788            ;;
    3844         esac
    3845 
    3846         case $enable_doscompile in
    3847           mingw)
    3848             CXXFLAGS="-mno-cygwin"
    3849             cat >conftest.$ac_ext <<_ACEOF
    3850 /* confdefs.h.  */
    3851 _ACEOF
    3852 cat confdefs.h >>conftest.$ac_ext
    3853 cat >>conftest.$ac_ext <<_ACEOF
    3854 /* end confdefs.h.  */
    3855 
    3856 int
    3857 main ()
    3858 {
    3859 int i=0; i++;
    3860   ;
    3861   return 0;
    3862 }
    3863 _ACEOF
    3864 rm -f conftest.$ac_objext conftest$ac_exeext
    3865 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3866   (eval $ac_link) 2>conftest.er1
    3867   ac_status=$?
    3868   grep -v '^ *+' conftest.er1 >conftest.err
    3869   rm -f conftest.er1
    3870   cat conftest.err >&5
    3871   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3872   (exit $ac_status); } &&
    3873          { ac_try='test -z "$ac_cxx_werror_flag"
    3874                          || test ! -s conftest.err'
    3875   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3876   (eval $ac_try) 2>&5
    3877   ac_status=$?
    3878   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3879   (exit $ac_status); }; } &&
    3880          { ac_try='test -s conftest$ac_exeext'
    3881   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3882   (eval $ac_try) 2>&5
    3883   ac_status=$?
    3884   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3885   (exit $ac_status); }; }; then
    3886   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3887 else
    3888   echo "$as_me: failed program was:" >&5
    3889 sed 's/^/| /' conftest.$ac_ext >&5
    3890 
    3891 fi
    3892 rm -f conftest.err conftest.$ac_objext \
    3893       conftest$ac_exeext conftest.$ac_ext
    3894             CXXFLAGS=
    3895           ;;
    38963789        esac
    38973790    esac
     
    42464139  clang* ) ;;
    42474140  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4248     case $build in
     4141
     4142 case $build in
    42494143  *-mingw*)
    42504144    if test "${LD+set}" = set; then :; else
     
    42534147    ;;
    42544148 esac
    4255  case $enable_doscompile in
    4256    msvc)
    4257      if test "x${LD+set}" = xset; then :; else
    4258        LD=link
    4259      fi
    4260      ;;
    4261  esac
     4149 if test $enable_msvc = yes ; then
     4150   if test "x${LD+set}" = xset; then :; else
     4151     LD=link
     4152   fi
     4153 fi
    42624154
    42634155    ;;
     
    60325924*-*-irix6*)
    60335925  # Find out which ABI we are using.
    6034   echo '#line 6034 "configure"' > conftest.$ac_ext
     5926  echo '#line 5926 "configure"' > conftest.$ac_ext
    60355927  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60365928  (eval $ac_compile) 2>&5
     
    71667058
    71677059# Provide some information about the compiler.
    7168 echo "$as_me:7168:" \
     7060echo "$as_me:7060:" \
    71697061     "checking for Fortran 77 compiler version" >&5
    71707062ac_compiler=`set X $ac_compile; echo $2`
     
    82338125   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82348126   -e 's:$: $lt_compiler_flag:'`
    8235    (eval echo "\"\$as_me:8235: $lt_compile\"" >&5)
     8127   (eval echo "\"\$as_me:8127: $lt_compile\"" >&5)
    82368128   (eval "$lt_compile" 2>conftest.err)
    82378129   ac_status=$?
    82388130   cat conftest.err >&5
    8239    echo "$as_me:8239: \$? = $ac_status" >&5
     8131   echo "$as_me:8131: \$? = $ac_status" >&5
    82408132   if (exit $ac_status) && test -s "$ac_outfile"; then
    82418133     # The compiler can only warn and ignore the option if not recognized
     
    85018393   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85028394   -e 's:$: $lt_compiler_flag:'`
    8503    (eval echo "\"\$as_me:8503: $lt_compile\"" >&5)
     8395   (eval echo "\"\$as_me:8395: $lt_compile\"" >&5)
    85048396   (eval "$lt_compile" 2>conftest.err)
    85058397   ac_status=$?
    85068398   cat conftest.err >&5
    8507    echo "$as_me:8507: \$? = $ac_status" >&5
     8399   echo "$as_me:8399: \$? = $ac_status" >&5
    85088400   if (exit $ac_status) && test -s "$ac_outfile"; then
    85098401     # The compiler can only warn and ignore the option if not recognized
     
    86058497   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86068498   -e 's:$: $lt_compiler_flag:'`
    8607    (eval echo "\"\$as_me:8607: $lt_compile\"" >&5)
     8499   (eval echo "\"\$as_me:8499: $lt_compile\"" >&5)
    86088500   (eval "$lt_compile" 2>out/conftest.err)
    86098501   ac_status=$?
    86108502   cat out/conftest.err >&5
    8611    echo "$as_me:8611: \$? = $ac_status" >&5
     8503   echo "$as_me:8503: \$? = $ac_status" >&5
    86128504   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86138505   then
     
    1095010842  lt_status=$lt_dlunknown
    1095110843  cat > conftest.$ac_ext <<EOF
    10952 #line 10952 "configure"
     10844#line 10844 "configure"
    1095310845#include "confdefs.h"
    1095410846
     
    1105010942  lt_status=$lt_dlunknown
    1105110943  cat > conftest.$ac_ext <<EOF
    11052 #line 11052 "configure"
     10944#line 10944 "configure"
    1105310945#include "confdefs.h"
    1105410946
     
    1339413286   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339513287   -e 's:$: $lt_compiler_flag:'`
    13396    (eval echo "\"\$as_me:13396: $lt_compile\"" >&5)
     13288   (eval echo "\"\$as_me:13288: $lt_compile\"" >&5)
    1339713289   (eval "$lt_compile" 2>conftest.err)
    1339813290   ac_status=$?
    1339913291   cat conftest.err >&5
    13400    echo "$as_me:13400: \$? = $ac_status" >&5
     13292   echo "$as_me:13292: \$? = $ac_status" >&5
    1340113293   if (exit $ac_status) && test -s "$ac_outfile"; then
    1340213294     # The compiler can only warn and ignore the option if not recognized
     
    1349813390   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1349913391   -e 's:$: $lt_compiler_flag:'`
    13500    (eval echo "\"\$as_me:13500: $lt_compile\"" >&5)
     13392   (eval echo "\"\$as_me:13392: $lt_compile\"" >&5)
    1350113393   (eval "$lt_compile" 2>out/conftest.err)
    1350213394   ac_status=$?
    1350313395   cat out/conftest.err >&5
    13504    echo "$as_me:13504: \$? = $ac_status" >&5
     13396   echo "$as_me:13396: \$? = $ac_status" >&5
    1350513397   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1350613398   then
     
    1506814960   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1506914961   -e 's:$: $lt_compiler_flag:'`
    15070    (eval echo "\"\$as_me:15070: $lt_compile\"" >&5)
     14962   (eval echo "\"\$as_me:14962: $lt_compile\"" >&5)
    1507114963   (eval "$lt_compile" 2>conftest.err)
    1507214964   ac_status=$?
    1507314965   cat conftest.err >&5
    15074    echo "$as_me:15074: \$? = $ac_status" >&5
     14966   echo "$as_me:14966: \$? = $ac_status" >&5
    1507514967   if (exit $ac_status) && test -s "$ac_outfile"; then
    1507614968     # The compiler can only warn and ignore the option if not recognized
     
    1517215064   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517315065   -e 's:$: $lt_compiler_flag:'`
    15174    (eval echo "\"\$as_me:15174: $lt_compile\"" >&5)
     15066   (eval echo "\"\$as_me:15066: $lt_compile\"" >&5)
    1517515067   (eval "$lt_compile" 2>out/conftest.err)
    1517615068   ac_status=$?
    1517715069   cat out/conftest.err >&5
    15178    echo "$as_me:15178: \$? = $ac_status" >&5
     15070   echo "$as_me:15070: \$? = $ac_status" >&5
    1517915071   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1518015072   then
     
    1737917271   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738017272   -e 's:$: $lt_compiler_flag:'`
    17381    (eval echo "\"\$as_me:17381: $lt_compile\"" >&5)
     17273   (eval echo "\"\$as_me:17273: $lt_compile\"" >&5)
    1738217274   (eval "$lt_compile" 2>conftest.err)
    1738317275   ac_status=$?
    1738417276   cat conftest.err >&5
    17385    echo "$as_me:17385: \$? = $ac_status" >&5
     17277   echo "$as_me:17277: \$? = $ac_status" >&5
    1738617278   if (exit $ac_status) && test -s "$ac_outfile"; then
    1738717279     # The compiler can only warn and ignore the option if not recognized
     
    1764717539   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1764817540   -e 's:$: $lt_compiler_flag:'`
    17649    (eval echo "\"\$as_me:17649: $lt_compile\"" >&5)
     17541   (eval echo "\"\$as_me:17541: $lt_compile\"" >&5)
    1765017542   (eval "$lt_compile" 2>conftest.err)
    1765117543   ac_status=$?
    1765217544   cat conftest.err >&5
    17653    echo "$as_me:17653: \$? = $ac_status" >&5
     17545   echo "$as_me:17545: \$? = $ac_status" >&5
    1765417546   if (exit $ac_status) && test -s "$ac_outfile"; then
    1765517547     # The compiler can only warn and ignore the option if not recognized
     
    1775117643   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775217644   -e 's:$: $lt_compiler_flag:'`
    17753    (eval echo "\"\$as_me:17753: $lt_compile\"" >&5)
     17645   (eval echo "\"\$as_me:17645: $lt_compile\"" >&5)
    1775417646   (eval "$lt_compile" 2>out/conftest.err)
    1775517647   ac_status=$?
    1775617648   cat out/conftest.err >&5
    17757    echo "$as_me:17757: \$? = $ac_status" >&5
     17649   echo "$as_me:17649: \$? = $ac_status" >&5
    1775817650   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1775917651   then
     
    2482424716  case $build in
    2482524717  *-cygwin* | *-mingw*)
    24826      if test "$enable_doscompile" = msvc ; then
    24827        coin_f77_comps="ifort fl32 compile_f2c"
     24718     if test "$enable_msvc" = yes ; then
     24719       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    2482824720     else
    2482924721       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    2504924941
    2505024942# Provide some information about the compiler.
    25051 echo "$as_me:25051:" \
     24943echo "$as_me:24943:" \
    2505224944     "checking for Fortran 77 compiler version" >&5
    2505324945ac_compiler=`set X $ac_compile; echo $2`
     
    2521825110    coin_add_fflags="-pipe"
    2521925111    coin_dbg_fflags="-g -O0"
    25220     case $enable_doscompile in
    25221       mingw)
    25222         FFLAGS="-mno-cygwin"
    25223         cat >conftest.$ac_ext <<_ACEOF
    25224       program main
    25225       write(*,*) 'Hello world'
    25226       end
    25227 _ACEOF
    25228 rm -f conftest.$ac_objext conftest$ac_exeext
    25229 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25230   (eval $ac_link) 2>conftest.er1
    25231   ac_status=$?
    25232   grep -v '^ *+' conftest.er1 >conftest.err
    25233   rm -f conftest.er1
    25234   cat conftest.err >&5
    25235   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25236   (exit $ac_status); } &&
    25237          { ac_try='test -z "$ac_f77_werror_flag"
    25238                          || test ! -s conftest.err'
    25239   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25240   (eval $ac_try) 2>&5
    25241   ac_status=$?
    25242   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25243   (exit $ac_status); }; } &&
    25244          { ac_try='test -s conftest$ac_exeext'
    25245   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25246   (eval $ac_try) 2>&5
    25247   ac_status=$?
    25248   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25249   (exit $ac_status); }; }; then
    25250   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    25251 else
    25252   echo "$as_me: failed program was:" >&5
    25253 sed 's/^/| /' conftest.$ac_ext >&5
    25254 
    25255 fi
    25256 rm -f conftest.err conftest.$ac_objext \
    25257       conftest$ac_exeext conftest.$ac_ext
    25258         FFLAGS=
    25259       ;;
    25260     esac
    2526125112  else
    2526225113    case $build in
     
    2555025401case "$F77" in
    2555125402  ifort* | */ifort* | IFORT* | */IFORT*)
    25552     case $build in
     25403
     25404 case $build in
    2555325405  *-mingw*)
    2555425406    if test "${LD+set}" = set; then :; else
     
    2555725409    ;;
    2555825410 esac
    25559  case $enable_doscompile in
    25560    msvc)
    25561      if test "x${LD+set}" = xset; then :; else
    25562        LD=link
    25563      fi
    25564      ;;
    25565  esac
     25411 if test $enable_msvc = yes ; then
     25412   if test "x${LD+set}" = xset; then :; else
     25413     LD=link
     25414   fi
     25415 fi
    2556625416
    2556725417    ;;
     
    2562825478ac_save_FFLAGS=$FFLAGS
    2562925479FFLAGS="$FFLAGS $ac_verb"
    25630 (eval echo $as_me:25630: \"$ac_link\") >&5
     25480(eval echo $as_me:25480: \"$ac_link\") >&5
    2563125481ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2563225482echo "$ac_f77_v_output" >&5
     
    2570625556ac_save_FFLAGS=$FFLAGS
    2570725557FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25708 (eval echo $as_me:25708: \"$ac_link\") >&5
     25558(eval echo $as_me:25558: \"$ac_link\") >&5
    2570925559ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2571025560echo "$ac_f77_v_output" >&5
     
    2689226742# Try to autodetect the library for blas based on build system
    2689326743  #AC_MSG_CHECKING([default locations for BLAS])
    26894   skip_lblas_check=no
    2689526744  case $build in
    2689626745    *-sgi-*)
     
    2769527544
    2769627545    *-cygwin* | *-mingw*)
    27697 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    27698 # library will want to link with cygwin, hence won't run standalone in DOS.
    27699       if test "$enable_doscompile" = mingw; then
    27700         skip_lblas_check=yes
    27701       fi
    2770227546      case "$CC" in
    2770327547        clang* ) ;;
     
    2886328707  esac
    2886428708
    28865   if test -z "$use_blas" && test $skip_lblas_check = no; then
     28709  if test -z "$use_blas" ; then
    2886628710    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2886728711echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    3150731351echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3150831352coin_link_input_cmd="$LN_S"
    31509 if test "$enable_doscompile" = mingw; then
    31510   coin_link_input_cmd=cp
    31511 fi
    3151231353case "$CC" in
    3151331354  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.